## GetAnnouncementBanner **post** `/gitpod.v1.OrganizationService/GetAnnouncementBanner` Retrieves the announcement banner configuration for an organization. Use this method to fetch the current announcement banner settings. All organization members can read the banner configuration. ### Examples - Get announcement banner: ```yaml organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047" ``` ### Body Parameters - `organizationId: string` organization_id is the ID of the organization ### Returns - `banner: AnnouncementBanner` banner is the announcement banner configuration - `organizationId: string` organization_id is the ID of the organization - `enabled: optional boolean` enabled controls whether the banner is displayed - `message: optional string` message is the banner message displayed to users. Supports basic Markdown. ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/GetAnnouncementBanner \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "organizationId": "b0e12f6c-4c67-429d-a4a6-d9838b5da047" }' ``` #### Response ```json { "banner": { "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "enabled": true, "message": "message" } } ```